# Features & roadmap

* Matrix → KakaoTalk
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [x] Stickers
      * [x] Files
      * [x] Voice messages
      * [x] Videos
      * [x] Images
      * [ ] Locations
    * [ ] Replies
      * [x] In DMs
      * [ ] In multi-user rooms
    * [x] Mentions
  * [x] Message redactions<sup>[1]</sup>
  * [ ] Message reactions
  * [x] Read receipts
  * [ ] Power level
  * [ ] Membership actions
    * [ ] Invite
    * [ ] Kick
    * [ ] Leave
  * [ ] Room metadata changes
    * [ ] Name
    * [ ] Avatar
    * [ ] Per-room user nick
* KakaoTalk → Matrix
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [ ] Stickers
      * [ ] Files
      * [x] Voice messages
      * [x] Videos
      * [x] Images
      * [ ] Locations
    * [x] Replies
    * [x] Mentions
  * [x] Message deletion/hiding
  * [ ] Message reactions
  * [x] Message history
  * [ ] Read receipts
    * [ ] On backfill
    * [x] On live event
  * [ ] Admin status
  * [x] Membership actions
    * [x] Add member
    * [x] Remove member
    * [x] Leave
  * [ ] Chat metadata changes
    * [x] Title
    * [ ] Avatar
  * [ ] Initial chat metadata
    * [x] Title
    * [ ] Avatar
  * [x] User metadata
    * [x] Name
    * [x] Avatar
* Misc
  * [x] Multi-user support
  * [x] Shared group chat portals
  * [x] Automatic portal creation
    * [x] At startup
    * [x] When added to chat
    * [x] When receiving message
  * [ ] Private chat creation by inviting Matrix puppet of KakaoTalk user to new room
    * [x] For existing recently-updated KakaoTalk channels
    * [ ] For existing long-idled KakaoTalk channels
    * [ ] For new KakaoTalk channels
  * [x] Option to use own Matrix account for messages sent from other KakaoTalk clients

<sup>[1]</sup> Only recently-sent messages can be deleted
